UsbDevice Struct Reference

USB_DEVICE APB hardware registers. More...

`#include <usb.h>`

## Data Fields

__IO USB_CTRLA_Type | CTRLA
| Offset: 0x000 (R/W 8) Control A.
RoReg8 | Reserved1 [0x1]
__I USB_SYNCBUSY_Type | SYNCBUSY
| Offset: 0x002 (R/ 8) Synchronization Busy.
__IO USB_QOSCTRL_Type | QOSCTRL
| Offset: 0x003 (R/W 8) USB Quality Of Service.
RoReg8 | Reserved2 [0x4]
__IO USB_DEVICE_CTRLB_Type | CTRLB
| Offset: 0x008 (R/W 16) DEVICE Control B.
__IO USB_DEVICE_DADD_Type | DADD
| Offset: 0x00A (R/W 8) DEVICE Device Address.
RoReg8 | Reserved3 [0x1]
__I USB_DEVICE_STATUS_Type | STATUS
| Offset: 0x00C (R/ 8) DEVICE Status.
__I USB_FSMSTATUS_Type | FSMSTATUS
| Offset: 0x00D (R/ 8) Finite State Machine Status.
RoReg8 | Reserved4 [0x2]
__I USB_DEVICE_FNUM_Type | FNUM
| Offset: 0x010 (R/ 16) DEVICE Device Frame Number.
RoReg8 | Reserved5 [0x2]
__IO USB_DEVICE_INTENCLR_Type | INTENCLR
| Offset: 0x014 (R/W 16) DEVICE Device Interrupt Enable Clear.
RoReg8 | Reserved6 [0x2]
__IO USB_DEVICE_INTENSET_Type | INTENSET
| Offset: 0x018 (R/W 16) DEVICE Device Interrupt Enable Set.
RoReg8 | Reserved7 [0x2]
__IO USB_DEVICE_INTFLAG_Type | INTFLAG
| Offset: 0x01C (R/W 16) DEVICE Device Interrupt Flag.
RoReg8 | Reserved8 [0x2]
__I USB_DEVICE_EPINTSMRY_Type | EPINTSMRY
| Offset: 0x020 (R/ 16) DEVICE End Point Interrupt Summary.
RoReg8 | Reserved9 [0x2]
__IO USB_DESCADD_Type | DESCADD
| Offset: 0x024 (R/W 32) Descriptor Address.
__IO USB_PADCAL_Type | PADCAL
| Offset: 0x028 (R/W 16) USB PAD Calibration.
RoReg8 | Reserved10 [0xD6]
UsbDeviceEndpoint | DeviceEndpoint [8]
| Offset: 0x100 UsbDeviceEndpoint groups [EPT_NUM].

## Detailed Description

USB_DEVICE APB hardware registers.

Definition at line 1691 of file usb.h.

The documentation for this struct was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/usb.h